uniform float color;

in vec3 weight;

out vec4 frag_color;

const DISCARD_AT = 0.1;
const BACKGROUND_AT = 0.05;
const BACKGROUND = 1.0;

void main() {
  float mindist = min(weight.r, min(weight.g, weight.b));
  if (mindist > DISCARD_AT) discard;
  float intensity = mindist > BACKGROUND_AT ? BACKGROUND : color;
  frag_color = vec4(vec3(intensity), 1.0);
}